Subject: Re: Time Functions?
From: [email-masked] (Earnie Boyd)

21 Oct 1997 06:01:53 -0700
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>Date: Tue, 21 Oct 1997 06:38:53 -0400
>To: [email-masked]
>From: Keet / Foxbird <[email-masked]>
>Subject: Time Functions?
>
>
>I compiled a nice little server and am having a few little problems 
with
>the time functions. I've used strftime() in C++, and a few other 
functions
>in C.. and they all return the wrong time. Specifically CST/CDT rather 
than
>EST. One example would be that my Win95 task bar clock reports 20:32 
and
>the strftime function reports 19:32. I don't have any way to test if 
the
>time runs correctly in a CST time zone or even a PST. I've tried 
telling
>Win95 that I'm in the CST time zone.. and even the PST time zone, but 
it
>still is one hour behind! Is there a flag I missed, some option, or 
just
>something crazy I didn't notice? Any ideas/comments/help GREATLY 
appreciated.
>

How about the date?  It sounds to me as if WIN95 is reporting Daylight 
Savings Time and the function is returning Standard Time.

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".